Name:           pentobi
Version:        25.0
Release:        %mkrel 1
Summary:        Blokus board game with a component opponent
Group:          Games/Boards
License:        GPLv3+
URL:            https://pentobi.sourceforge.io/
Source0:        https://download.sf.net/pentobi/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  appstream
BuildRequires:  docbook5-style-xsl
BuildRequires:  itstool
BuildRequires:  librsvg
BuildRequires:  xsltproc

# see mga#32767
Requires:       qt6-qtdeclarative

Obsoletes:      pentobi-kde-thumbnailer < 22.0-1

%description
Pentobi is a computer opponent for the board game Blokus.

- Supported game variants: Classic, Duo, Trigon, Junior, Nexos, Callisto
- Strong Blokus engine with 9 different playing levels
- Player rating by playing rated games against the computer
- Game analysis function
- Save and load games in Smart Game Format including comments and move variations

%prep
%autosetup -p1

%build
%cmake \
    -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
    -DCMAKE_INSTALL_DATADIR=%{_gamesdatadir}
%cmake_build

%install
%cmake_install

%files
%doc NEWS.md README.md
%license LICENSE.md
%{_datadir}/applications/io.sourceforge.%{name}.desktop
%{_metainfodir}/io.sourceforge.%{name}.appdata.xml
%{_datadir}/mime/packages/io.sourceforge.%{name}.xml
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_iconsdir}/hicolor/*/mimetypes/io.sourceforge.%{name}.application-x-blokus-sgf.*


%changelog
* Sat Jun 22 2024 daviddavid <daviddavid> 25.0-1.mga10
+ Revision: 2076120
- new version: 25.0

* Wed Jan 31 2024 daviddavid <daviddavid> 24.0-2.mga10
+ Revision: 2036388
- add missing runtime dependency on qt6-qtdeclarative (mga#32767)

* Thu Jan 25 2024 daviddavid <daviddavid> 24.0-1.mga10
+ Revision: 2034209
- new version: 24.0

* Thu Sep 21 2023 daviddavid <daviddavid> 23.1-1.mga10
+ Revision: 1989009
- new version: 23.1

* Sun Feb 05 2023 daviddavid <daviddavid> 22.1-1.mga9
+ Revision: 1938390
- new version: 22.1

* Sun Jan 29 2023 daviddavid <daviddavid> 22.0-1.mga9
+ Revision: 1936738
- new version: 22.0
- switch to Qt6
- remove support for KDE thumbnailer (upstream)

* Thu Jan 05 2023 daviddavid <daviddavid> 21.0-1.mga9
+ Revision: 1930018
- new version: 21.0

* Wed Apr 06 2022 umeabot <umeabot> 18.5-2.mga9
+ Revision: 1846016
- Mageia 9 Mass Rebuild

* Sun Mar 07 2021 daviddavid <daviddavid> 18.5-1.mga9
+ Revision: 1700416
- new version: 18.5

* Thu Dec 17 2020 umeabot <umeabot> 18.4-2.mga8
+ Revision: 1659292
- Rebuild for new Qt5

* Mon Dec 07 2020 akien <akien> 18.4-1.mga8
+ Revision: 1654042
- Version 18.4

* Fri Nov 06 2020 akien <akien> 18.3-1.mga8
+ Revision: 1643088
- Version 18.3

* Thu Oct 22 2020 daviddavid <daviddavid> 18.2-1.mga8
+ Revision: 1638069
- new version: 18.2

* Sat Jul 11 2020 daviddavid <daviddavid> 18.1-1.mga8
+ Revision: 1604811
- new version: 18.1

* Wed May 20 2020 daviddavid <daviddavid> 18.0-1.mga8
+ Revision: 1586312
- new version: 18.0

* Tue Feb 18 2020 umeabot <umeabot> 17.3-2.mga8
+ Revision: 1538611
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Nov 24 2019 daviddavid <daviddavid> 17.3-1.mga8
+ Revision: 1462670
- new version: 17.3

* Thu Oct 31 2019 daviddavid <daviddavid> 17.2-1.mga8
+ Revision: 1457083
- new version: 17.2

* Wed Jul 03 2019 daviddavid <daviddavid> 17.1-1.mga8
+ Revision: 1417854
- new version: 17.1

* Fri Apr 26 2019 akien <akien> 16.3-1.mga7
+ Revision: 1395452
- Version 16.3

* Sun Mar 31 2019 umeabot <umeabot> 16.2-2.mga7
+ Revision: 1383878
- Qt5 Rebuild

* Wed Feb 06 2019 daviddavid <daviddavid> 16.2-1.mga7
+ Revision: 1363676
- new version: 16.2

* Thu Nov 29 2018 daviddavid <daviddavid> 16.1-2.mga7
+ Revision: 1336730
- enable the thumbnailer plugin for KDE

* Sat Nov 03 2018 daviddavid <daviddavid> 16.1-1.mga7
+ Revision: 1327994
- new version: 16.1

* Sun Sep 23 2018 umeabot <umeabot> 14.1-2.mga7
+ Revision: 1300166
- Mageia 7 Mass Rebuild

* Mon May 14 2018 akien <akien> 14.1-1.mga7
+ Revision: 1229461
- Version 14.1

* Sat Dec 30 2017 akien <akien> 14.0-1.mga7
+ Revision: 1187779
- Version 14.0

* Sun Sep 17 2017 cjw <cjw> 13.1-2.mga7
+ Revision: 1154927
- rebuild for new find_lang

* Fri Jun 09 2017 akien <akien> 13.1-1.mga6
+ Revision: 1107379
- Version 13.1

* Sun Mar 19 2017 akien <akien> 13.0-1.mga6
+ Revision: 1093571
- Version 13.0

* Fri Jan 27 2017 akien <akien> 12.2-1.mga6
+ Revision: 1083669
- imported package pentobi

